org.bdgenomics.adam.projections

# TranscriptEffectField

#### object TranscriptEffectField extends FieldEnumeration

Enumeration of TranscriptEffect field names for predicates and projections.

Linear Supertypes
FieldEnumeration, Enumeration, Serializable, Serializable, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. TranscriptEffectField
2. FieldEnumeration
3. Enumeration
4. Serializable
5. Serializable
6. AnyRef
7. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Type Members

1. #### class SchemaVal extends Val with FieldValue

   An enumerated field that is part of this schema.

2. #### class Val extends Value with Serializable

   Attributes
     protected
   Definition Classes
     Enumeration
   Annotations
     @SerialVersionUID( -3501153230598116017L )

3. #### abstract class Value extends Ordered[Value] with Serializable

   Definition Classes
     Enumeration
   Annotations
     @SerialVersionUID( 7091335633555234129L )

4. #### class ValueSet extends AbstractSet[Value] with SortedSet[Value] with SortedSetLike[Value, ValueSet] with Serializable

   Definition Classes
     Enumeration

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Definition Classes
     Any

3. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

4. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     Any

6. #### final def SchemaValue: SchemaVal

   Attributes
     protected
   Definition Classes
     FieldEnumeration

7. #### final def Value(i: Int, name: String): Value

   Attributes
     protected
   Definition Classes
     Enumeration

8. #### final def Value(name: String): Value

   Attributes
     protected
   Definition Classes
     Enumeration

9. #### final def Value(i: Int): Value

   Attributes
     protected
   Definition Classes
     Enumeration

10. #### final def Value: Value

    Attributes
      protected
    Definition Classes
      Enumeration

11. #### val alternateAllele: SchemaVal

12. #### final def apply(x: Int): Value

    Definition Classes
      Enumeration

13. #### final def asInstanceOf[T0]: T0

    Definition Classes
      Any

14. #### val biotype: SchemaVal

15. #### val cdnaLength: SchemaVal

16. #### val cdnaPosition: SchemaVal

17. #### val cdsLength: SchemaVal

18. #### val cdsPosition: SchemaVal

19. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

20. #### val distance: SchemaVal

21. #### val effects: SchemaVal

22. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

23. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

24. #### val featureId: SchemaVal

25. #### val featureType: SchemaVal

26. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

27. #### val geneId: SchemaVal

28. #### val geneName: SchemaVal

29. #### val genomicHgvs: SchemaVal

30. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

31. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

32. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

33. #### final def maxId: Int

    Definition Classes
      Enumeration

34. #### val messages: SchemaVal

35. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

36. #### var nextId: Int

    Attributes
      protected
    Definition Classes
      Enumeration

37. #### var nextName: Iterator[String]

    Attributes
      protected
    Definition Classes
      Enumeration

38. #### final def notify(): Unit

    Definition Classes
      AnyRef

39. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

40. #### val proteinHgvs: SchemaVal

41. #### val proteinLength: SchemaVal

42. #### val proteinPosition: SchemaVal

43. #### val rank: SchemaVal

44. #### def readResolve(): AnyRef

    Attributes
      protected
    Definition Classes
      Enumeration

45. #### val recordSchema: Schema

    Definition Classes
      FieldEnumeration

46. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

47. #### def toString(): String

    Definition Classes
      Enumeration → AnyRef → Any

48. #### val total: SchemaVal

49. #### val transcriptHgvs: SchemaVal

50. #### def values: ValueSet

    Definition Classes
      Enumeration

51. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

52. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

53. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

54. #### final def withName(s: String): Value

    Definition Classes
      Enumeration

### Inherited from FieldEnumeration

### Inherited from Enumeration

### Inherited from Serializable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped